<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');
use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\Factory;

class AbookViewImportexport extends JViewLegacy
{
	function display($tpl = null)
	{
		global $mainframe;
		$app = Factory::getApplication();
                $file           = $this->get('Export');
		$ext= $this->get('ExportType');

		$doc = JFactory::getDocument();
		$doc->setMimeEncoding('text/plain');
		$xmldata = simplexml_load_file(JPATH_ADMINISTRATOR .DIRECTORY_SEPARATOR. 'components'.DIRECTORY_SEPARATOR.'com_abook'.DIRECTORY_SEPARATOR.'abook.xml');
		$abversion=str_replace(".", "_", $xmldata->version);


		$filename="abook".$abversion."-export-".date('d-m-Y-H-i').$ext;
		$ext=null;
		$app->setHeader('Content-disposition', 'attachment'.'; filename='.$filename);
	}
}
?>
