<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined('_JEXEC') or die;
JHtml::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers');
$pageClass = $this->params->get('pageclass_sfx');
?>
<div class="contact-category<?php echo $pageClass;?>">
<?php if ($this->params->def('show_page_heading', 1)) : ?>
	<h1><?php echo $this->params->get( 'page_heading', $this->params->def('comp_name'));?>	</h1>
<?php endif; ?>
<?php if ($this->params->get( 'search', 1 )== 1) { ?>
	<?php echo JHTML::_('icon.search');?>
        <div class="clr"></div>
        <?php } ?>
<?php if ($this->params->get( 'breadcrumb', 2 )== 2) { ?>
	<div class="abook-path">
		<?php echo JHTML::_('icon.breadcrumb', $this->path);?>
	</div>
	<div class="clr"></div>
<?php } ?>
	<h2><?php echo $this->tag->name; ?></h2>
<?php if ($this->params->def('show_base_description', 1)) : ?>
	<div class="abook_category_desc">
	<?php if ($this->params->get('show_description') && $this->tag->description) : ?>
		<?php echo JHtml::_('content.prepare', $this->tag->description); ?>
	<?php endif; ?>
	<div class="clr"></div>
	</div>
<?php endif; ?>

<?php echo $this->loadTemplate('items'); ?>

</div>
